linux: 2.6.32-51.113 -proposed tracker

Bug #1215005 reported by Brad Figg on 2013-08-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-ports-meta
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-51.113 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 21. August 2013 16:16 UTC
kernel-stable-Prepare-package-end:Thursday, 22. August 2013 03:03 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 22. August 2013 03:03 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 22. August 2013 05:01 UTC
kernel-stable-Verification-testing-start:Thursday, 22. August 2013 06:03 UTC
kernel-stable-Verification-testing-end:Friday, 30. August 2013 15:29 UTC
kernel-stable-Certification-testing-start:Friday, 30. August 2013 15:29 UTC
kernel-stable-Security-signoff-start:Friday, 30. August 2013 15:30 UTC
kernel-stable-Regression-testing-start:Friday, 30. August 2013 15:29 UTC
kernel-stable-Regression-testing-end:Monday, 02. September 2013 19:01 UTC
kernel-stable-Security-signoff-end:Wednesday, 04. September 2013 12:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 05. September 2013 21:01 UTC
kernel-stable-Certification-testing-end:Thursday, 05. September 2013 21:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 06. September 2013 06:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 06. September 2013 07:04 UTC

Brad Figg (brad-figg) on 2013-08-21
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1215239

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-08-22
description: updated
Brad Figg (brad-figg) on 2013-08-22
description: updated
Brad Figg (brad-figg) on 2013-08-30
description: updated
Para Siva (psivaa) on 2013-09-02
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-09-02
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-09-04
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

We won't have time this iteration to test the lucid kernel (the lab setup has changed). Would it be ok to skip the HwCert task?

Brad Figg (brad-figg) on 2013-09-05
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-51.113

---------------
linux (2.6.32-51.113) lucid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1215005

  [ Andy Whitcroft ]

  * remove debian/changelog from git
  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ Brad Figg ]

  * Start new release

  [ Upstream Kernel Changes ]

  * Revert "x86, ptrace: fix build breakage with gcc 4.7"
    - LP: #1199154
  * ipv6: call udp_push_pending_frames when uncorking a socket with AF_INET
    pending data
    - LP: #1205070
    - CVE-2013-4162
  * sctp: deal with multiple COOKIE_ECHO chunks
    - LP: #1194445
    - CVE-2013-2206
  * sctp: Use correct sideffect command in duplicate cookie handling
    - LP: #1194445
    - CVE-2013-2206
  * KVM: Validate userspace_addr of memslot when registered
    - LP: #1191918
    - CVE-2013-1943
  * KVM: add missing void __user * cast to access_ok() call
    - LP: #1191918
    - CVE-2013-1943
 -- Brad Figg <email address hidden> Wed, 21 Aug 2013 09:13:41 -0700

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-09-06
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers